/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* libe-book
 * Version: MPL 2.0 / LGPLv2.1+
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Alternatively, the contents of this file may be used under the terms
 * of the GNU Lesser General Public License Version 2.1 or later
 * (LGPLv2.1+), in which case the provisions of the LGPLv2.1+ are
 * applicable instead of those above.
 *
 * For further information visit http://libebook.sourceforge.net
 */

#include <libwpd-stream/libwpd-stream.h>

#include <libe-book/PLKRDocument.h>

#include "PLKRParser.h"

namespace libebook
{

bool PLKRDocument::isSupported(WPXInputStream *input) try
{
  input->seek(0, WPX_SEEK_SET);
  PLKRParser parser(input);
  return parser.isSupported();
}
catch (...)
{
  return false;
}

bool PLKRDocument::parse(WPXInputStream *input, WPXDocumentInterface *document) try
{
  if (!PLKRDocument::isSupported(input))
    return false;

  input->seek(0, WPX_SEEK_SET);
  PLKRParser parser(input, document);
  return parser.parse();
}
catch (...)
{
  return false;
}

} // namespace libebook

/* vim:set shiftwidth=2 softtabstop=2 expandtab: */
